Forcer la version d'un paquet particulier lors d'un dist-upgrade.

Sébastien / Seb-bubuntu seb.bubuntu at gmail.com
Mer 23 Avr 12:51:12 UTC 2008


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Bruno Patri wrote:
> Le mercredi 23 avril 2008, lordphoenix a écrit :
>> Salut à tous,
>>
>> Quelqu'un connaîtrait-il le moyen de bloquer la mise à jour d'un paquet
>> précis lors d'un dist-upgrade? J'ai bien réussi à le faire dans
>> Synaptic ce qui fait que update-manager en tient compte mais quand je
>> fais mes mise à jour en ligne de commande ce n'est pas pris en compte.
>>
>> Une idée à suggérer?
> 
> Avec ce type de commande :
> 
> apt-get dist-upgrade --no-upgrade nom_du_paquet
> 
> cela devrait fonctionner (à vérifier tout de même).
> 

Je pense que la manip de Bruno doit marcher... Cela dit, je me demande si ce n'est pas "risqué" de
bloquer la mise à jour d'un paquet avec un dist-upgrade: Entre deux versions d'Ubuntu,
l'architecture des paquets et le "tronçonnage" des paquets est susceptible de changer et "locker" un
paquet de cette façon peut provoquer un problème de dépendance et/ou de compatibilité.
Perso, je déconseillerais de faire une telle opération pour ne pas avoir des paquets "ubuntu version
n-1" qui traînent dans une configuration "ubuntu version n" (on parle bien de "dist-upgrade" et non
pas de simple "upgrade")... Mais peut-être que je suis trop puriste! ;)

Séb


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIDzDAlabueleSRzIRAhlYAJ9wqBQcuoFnxzzp3TXpmeufkl9s5ACfRtmD
RO6sNODIR3rWvl5yBSm6XlI=
=w+1c
-----END PGP SIGNATURE-----




Plus d'informations sur la liste de diffusion ubuntu-fr